Cancel Event Registration
curl --request POST \
--url https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancelimport requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyRegistrations
Cancel Event Registration
Cancel an event registration, the same way as the Cancel action in the LatePoint admin.
POST
/
wp-json
/
latepoint-api
/
v1
/
events
/
registrations
/
{id}
/
cancel
Cancel Event Registration
curl --request POST \
--url https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancelimport requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/registrations/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyCancelling a registration:
- Sets its status to
cancelled - Sends LatePoint’s cancellation notification
- Voids its e-tickets (LatePoint Pro)
- Frees its places in the event
Path Parameters
integer
required
The ID of the registration to cancel
Example Request
POST /wp-json/latepoint-api/v1/events/registrations/1/cancel
Authorization: Bearer YOUR_API_KEY
Response
Returns the registration, including its e-tickets:{
"success": true,
"message": "Registration cancelled",
"data": {
"id": 1,
"registration_code": "EAMDZKKG",
"event_id": 3,
"event_name": "Free Meetup",
"customer_id": 40,
"customer": {
"id": 40,
"first_name": "Api",
"last_name": "Tester",
"full_name": "Api Tester",
"email": "api.tester@example.com",
"phone": ""
},
"order_id": 89,
"order_item_id": 72,
"quantity": 2,
"status": "cancelled",
"status_label": "Cancelled",
"payment_status": "not_paid",
"notes": null,
"created_at": "2026-10-28 15:20:11",
"updated_at": "2026-10-28 16:02:47",
"ticket_types": [],
"tickets": [
{
"id": 1,
"ticket_code": "JBA3NUH8JD",
"label": "Ticket 1 of 2",
"registration_id": 1,
"event_id": 3,
"customer_id": 40,
"ticket_number": 1,
"ticket_type": "individual",
"ticket_type_id": null,
"ticket_type_name": null,
"status": "void",
"checked_in_dates": [],
"last_scanned_at": null,
"public_url": "https://example.com/wp-admin/admin-post.php?action=latepoint_route_call&route_name=event_tickets__show&code=JBA3NUH8JD",
"qr_image_url": "https://example.com/wp-admin/admin-post.php?action=latepoint_route_call&route_name=event_tickets__qr_image&code=JBA3NUH8JD",
"pdf_url": "https://example.com/wp-admin/admin-post.php?action=latepoint_route_call&route_name=event_tickets__download_pdf&code=JBA3NUH8JD",
"created_at": "2026-10-28 15:20:11"
}
]
}
}
Error Responses
| Status | Code | Description |
|---|---|---|
404 | event_registration_not_found | The registration does not exist |
503 | feature_disabled | Events is disabled in LatePoint settings |
